Upgrading  the  BL3  Library

Most Linux applications use shared libraries; that is, they expect a standard set of subroutines (library) to be present.  Currently glibc2 is the standard Linux library -- nearly every application requires it.

BasicLinux does not have glibc2.  In order to reduce the load on old PCs, BL3 uses a much smaller library, libc5, which was the standard Linux library in the late 1990s.  All Slackware 3.x and 4.0 packages use libc5 (as do RedHat and Debian packages of the same era).

libc5 is a perfectly good library, and most users will find everything they need in the Slackware 4.0 packages or in the BL3 add-on packages.  However, if you wish to use Linux software from another source, you will probably need to upgrade the library.

How to install glibc2

It takes two packages to upgrade the BL3 library.  You will find the first in Slackware 9.0 in the /slackware/a directory:

        glibc-solibs-2.3.1-i386-3.tgz       1042967
misc-libs.tgz 863372

You will find the second here.  Use the pkg command to install them both.

        pkg   glibc-solibs-2.3.1-i386-3.tgz
        pkg   misc-libs.tgz

That will enable you to run a lot of current software.  However, some applications will require additional libraries (ldd will tell you this).  You should be able to find those libraries in Slackware 9.0 -- probably in the a or l directories.